From 624c46af8ca0cf787eabbe9749a0cb7fcc00e73f Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Fran=C3=A7ois=20Revol?= <revol@free.fr>
Date: Sat, 30 Oct 2010 17:37:14 +0200
Subject: [PATCH] Reorder including config.mk and the HOSTCC check so HOSTCC is actually
 defined when checking for it.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit


Signed-off-by: François Revol <revol@free.fr>
---
 tools/Makefile |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/tools/Makefile b/tools/Makefile
index 619c9f2..623f908 100644
--- a/tools/Makefile
+++ b/tools/Makefile
@@ -24,6 +24,12 @@
 TOOLSUBDIRS =
 
 #
+# Include this after HOSTOS HOSTARCH check
+# so that we can act intelligently.
+#
+include $(TOPDIR)/config.mk
+
+#
 # toolchains targeting win32 generate .exe files
 #
 ifneq (,$(findstring WIN32 ,$(shell $(HOSTCC) -E -dM -xc /dev/null)))
@@ -32,12 +38,6 @@ else
 SFX =
 endif
 
-#
-# Include this after HOSTOS HOSTARCH check
-# so that we can act intelligently.
-#
-include $(TOPDIR)/config.mk
-
 # Enable all the config-independent tools
 ifneq ($(HOST_TOOLS_ALL),)
 CONFIG_LCD_LOGO = y
-- 
1.7.2.2

